twitter4j

## Class XAuthAuthorization

- java.lang.Object
- - twitter4j.XAuthAuthorization

All Implemented Interfaces:
  Serializable, Authorization

    public class XAuthAuthorization
    extends Object
    implements Authorization, Serializable

Since:
  Twitter4J 2.1.3
Author:
  Yusuke Yamamoto - yusuke at mac.com
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`XAuthAuthorization(BasicAuthorization basic)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getAuthorizationHeader(HttpRequest req)`
`String` `getConsumerKey()`
`String` `getConsumerSecret()`
`String` `getPassword()`
`String` `getUserId()`
`boolean` `isEnabled()` Returns true if authorization credentials are set.
`void` `setOAuthConsumer(String consumerKey, String consumerSecret)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XAuthAuthorization

    public XAuthAuthorization(BasicAuthorization basic)

### Method Detail

#### getAuthorizationHeader

    public String getAuthorizationHeader(HttpRequest req)

Specified by:
  `getAuthorizationHeader` in interface `Authorization`

#### getUserId

    public String getUserId()

#### getPassword

    public String getPassword()

#### getConsumerKey

    public String getConsumerKey()

#### getConsumerSecret

    public String getConsumerSecret()

#### setOAuthConsumer

    public void setOAuthConsumer(String consumerKey,
                                 String consumerSecret)

#### isEnabled

    public boolean isEnabled()

Description copied from interface: `Authorization`
Returns true if authorization credentials are set.

Specified by:
  `isEnabled` in interface `Authorization`
Returns:
  true if authorization credentials are set